SelectionManager
Date: 2019-10-22

org.jmol.viewer

## Class SelectionManager

- java.lang.Object
- - org.jmol.viewer.SelectionManager

-     public class SelectionManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `javajs.util.BS` | `bsDeleted`
    `(package private) javajs.util.BS` | `bsFixed`
    `(package private) javajs.util.BS` | `bsHidden`
    `private javajs.util.BS` | `bsSelection`
    `javajs.util.BS` | `bsSubset`
    `private javajs.util.BS` | `bsTemp`
    `private int` | `empty`
    `private static int` | `FALSE`
    `(package private) boolean` | `hideNotSelected`
    `private JmolSelectionListener[]` | `listeners`
    `java.lang.Boolean` | `noneSelected`
    `private static int` | `TRUE`
    `private static int` | `UNKNOWN`
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionManager(Viewer vwr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addListener(JmolSelectionListener listener)`
    `(package private) void` | `clear()`
    `(package private) void` | `clearSelection(boolean isQuiet)`
    `(package private) int` | `deleteAtoms(javajs.util.BS bs)`
    `(package private) void` | `display(ModelSet modelSet, javajs.util.BS bs, int addRemove, boolean isQuiet)`
    `javajs.util.BS` | `excludeAtoms(javajs.util.BS bs, boolean ignoreSubset)`
    `private void` | `excludeSelectionSet(javajs.util.BS setExclude)`
    `javajs.util.BS` | `getHiddenSet()`
    `(package private) boolean` | `getHideNotSelected()`
    `javajs.util.BS` | `getMotionFixedAtoms()`
    `(package private) javajs.util.BS` | `getSelectedAtoms()`
    `(package private) javajs.util.BS` | `getSelectedAtomsNoSubset()`
    `int` | `getSelectionCount()`
    `(package private) void` | `hide(ModelSet modelSet, javajs.util.BS bs, int addRemove, boolean isQuiet)`
    `(package private) void` | `invertSelection()`
    `boolean` | `isAtomSelected(int atomIndex)`
    `(package private) boolean` | `isInSelectionSubset(int atomIndex)`
    `boolean` | `isSelected(int atomIndex)`
    `(package private) void` | `processDeletedModelAtoms(javajs.util.BS bsAtoms)`
    `(package private) void` | `select(javajs.util.BS bs, int addRemove, boolean isQuiet)`
    `(package private) void` | `selectAll(boolean isQuiet)`
    `private void` | `selectionChanged(boolean isQuiet)`
    `private static void` | `setBitSet(javajs.util.BS bsWhat, javajs.util.BS bs, int addRemove)`
    `(package private) void` | `setHideNotSelected(boolean TF)`
    `(package private) void` | `setMotionFixedAtoms(javajs.util.BS bs)`
    `void` | `setSelectedAtom(int atomIndex, boolean TF)`
    `(package private) void` | `setSelectionSet(javajs.util.BS set, int addRemove)`
    `void` | `setSelectionSubset(javajs.util.BS bs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private Viewer vwr

    - #### listeners

          private JmolSelectionListener[] listeners

    - #### bsHidden

          final javajs.util.BS bsHidden

    - #### bsSelection

          private final javajs.util.BS bsSelection

    - #### bsFixed

          final javajs.util.BS bsFixed

    - #### bsSubset

          public javajs.util.BS bsSubset

    - #### bsDeleted

          public javajs.util.BS bsDeleted

    - #### noneSelected

          public java.lang.Boolean noneSelected

    - #### TRUE

          private static final int TRUE

      See Also:
        Constant Field Values

    - #### FALSE

          private static final int FALSE

      See Also:
        Constant Field Values

    - #### UNKNOWN

          private static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### empty

          private int empty

    - #### hideNotSelected

          boolean hideNotSelected

    - #### bsTemp

          private final javajs.util.BS bsTemp

  - ### Constructor Detail

    - #### SelectionManager

          SelectionManager(Viewer vwr)

  - ### Method Detail

    - #### processDeletedModelAtoms

          void processDeletedModelAtoms(javajs.util.BS bsAtoms)

    - #### clear

          void clear()

    - #### display

          void display(ModelSet modelSet,
                       javajs.util.BS bs,
                       int addRemove,
                       boolean isQuiet)

    - #### hide

          void hide(ModelSet modelSet,
                    javajs.util.BS bs,
                    int addRemove,
                    boolean isQuiet)

    - #### setSelectionSet

          void setSelectionSet(javajs.util.BS set,
                               int addRemove)

    - #### setBitSet

          private static void setBitSet(javajs.util.BS bsWhat,
                                        javajs.util.BS bs,
                                        int addRemove)

    - #### getHiddenSet

          public javajs.util.BS getHiddenSet()

    - #### getHideNotSelected

          boolean getHideNotSelected()

    - #### setHideNotSelected

          void setHideNotSelected(boolean TF)

    - #### isSelected

          public boolean isSelected(int atomIndex)

    - #### select

          void select(javajs.util.BS bs,
                      int addRemove,
                      boolean isQuiet)

    - #### selectAll

          void selectAll(boolean isQuiet)

    - #### clearSelection

          void clearSelection(boolean isQuiet)

    - #### isAtomSelected

          public boolean isAtomSelected(int atomIndex)

    - #### setSelectedAtom

          public void setSelectedAtom(int atomIndex,
                                      boolean TF)

    - #### setSelectionSubset

          public void setSelectionSubset(javajs.util.BS bs)

    - #### isInSelectionSubset

          boolean isInSelectionSubset(int atomIndex)

    - #### invertSelection

          void invertSelection()

    - #### excludeSelectionSet

          private void excludeSelectionSet(javajs.util.BS setExclude)

    - #### getSelectionCount

          public int getSelectionCount()

    - #### addListener

          void addListener(JmolSelectionListener listener)

    - #### selectionChanged

          private void selectionChanged(boolean isQuiet)

    - #### deleteAtoms

          int deleteAtoms(javajs.util.BS bs)

    - #### getSelectedAtoms

          javajs.util.BS getSelectedAtoms()

    - #### getSelectedAtomsNoSubset

          javajs.util.BS getSelectedAtomsNoSubset()

    - #### excludeAtoms

          public javajs.util.BS excludeAtoms(javajs.util.BS bs,
                                             boolean ignoreSubset)

    - #### setMotionFixedAtoms

          void setMotionFixedAtoms(javajs.util.BS bs)

    - #### getMotionFixedAtoms

          public javajs.util.BS getMotionFixedAtoms()